import express from "express";
import { login, logout, refresh, register } from "../controller/authController";

var router = express.Router({ mergeParams: true });

router.post("/login", async (req, res) => {
  await login(req, res);
});

router.post("/logout", async (req, res) => {
  await logout(req, res);
});

router.post("/refresh", async (req, res) => {
  await refresh(req, res);
});

router.post("/register", async (req, res) => {
  await register(req, res);
});

export default router;
